com.oracle.truffle.object

## Interface LayoutStrategy

    public interface LayoutStrategy

### Method Summary

Methods
`ShapeImpl.BaseAllocator` `createAllocator(Layout shape)`
`ShapeImpl.BaseAllocator` `createAllocator(Shape shape)`
`Shape` `ensureSpace(Shape shape, Location location)`
`Property` `generalizeProperty(DynamicObject object, Property oldProperty, java.lang.Object value)`
`Property` `generalizeProperty(DynamicObject object, Property oldProperty, java.lang.Object value, Shape oldShape, Shape newShape)`
`boolean` `isAutoExtArray()`
`Shape` `returnCached(Shape newShape)`
`boolean` `updateShape(DynamicObject object)`

### Method Detail

#### updateShape

    boolean updateShape(DynamicObject object)

#### returnCached

    Shape returnCached(Shape newShape)

#### ensureSpace

    Shape ensureSpace(Shape shape,
                    Location location)

#### isAutoExtArray

    boolean isAutoExtArray()

#### generalizeProperty

    Property generalizeProperty(DynamicObject object,
                              Property oldProperty,
                              java.lang.Object value)

#### generalizeProperty

    Property generalizeProperty(DynamicObject object,
                              Property oldProperty,
                              java.lang.Object value,
                              Shape oldShape,
                              Shape newShape)

#### createAllocator

    ShapeImpl.BaseAllocator createAllocator(Layout shape)

#### createAllocator

    ShapeImpl.BaseAllocator createAllocator(Shape shape)